# Update cPanel account locale

This function sets the account's locale.

Endpoint: GET /Locale/set_locale
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `locale` (string, required)
    The locale's abbreviated name according to UAPI's Locale::list_locales function.
    Example: "en"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_locale"

  - `module` (string)
    The name of the module called.
    Example: "Locale"

  - `result` (object)

  - `result.data` (any)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


